# collada.light.BoundPointLight

class collada.light.BoundPointLight(plight, matrix)

  Point light bound to a scene with transformation. This gets created when a light is instantiated in a scene. Do not create this manually.

  __init__(plight, matrix)

  Methods

  `__init__`(plight, matrix) |

  Attributes

  `position` | Numpy array of length 3 representing the position of the light in the scene
  `color` | Either a tuple of size 3 containing the RGB color value of the light or a tuple of size 4 containing the RGBA color value of the light
  `zfar` | Distance to the far clipping plane
  `original` | The original `collada.light.PointLight` this is bound to